/// <reference types="jquery" />
/// <reference types="jquery" />
/// <reference types="jqueryui" />
import 'select2';
declare var AjaxAdapter: any;
declare var SelectAdapter: any;
export declare class CustomSelectAdapter extends SelectAdapter {
    private $element;
    private uiSelect;
    constructor($element: JQuery<HTMLSelectElement>, options: any);
    select(data: any): void;
    unselect(data: any): any;
}
export declare class CustomAjaxAdapter extends AjaxAdapter {
    private $element;
    private uiSelect;
    constructor($element: JQuery<HTMLSelectElement>, options: any);
    select(data: any): void;
    unselect(data: any): any;
    item($option: JQuery<HTMLInputElement>): any;
}
export {};
